import Flutter
import UIKit

public class SwiftAwesomePlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "awesome_plugin", binaryMessenger: registrar.messenger())
    let instance = SwiftAwesomePlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    if(call.method=="getPlatformVersion"){
        result("iOS " + UIDevice.current.systemVersion)
    }else if (call.method == "getPlatformManuFacturer"){
        result("iOS " + UIDevice.modelName)
    }else if (call.method == "isTv"){
        result(UIDevice.modelName.contains("tv"))
    }else{
         result(FlutterMethodNotImplemented);
    }
  }
}
