
import 'dart:async';

import 'package:flutter/services.dart';

class AwesomePlugin {
  static const MethodChannel _channel =
      const MethodChannel('awesome_plugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  ///获取手机品牌,ios、huawei、xiaomi
  static Future<String> get platformManuFacturer async {
    final String version = await _channel.invokeMethod('getPlatformManuFacturer');
    return version;
  }

  ///当前设备是否为tv
  static Future<bool> get isTv async {
    final bool version = await _channel.invokeMethod('isTv');
    return version;
  }
}
